id: wordpress-ml-slider

info:
  name: Slider, Gallery, and Carousel by MetaSlider – Image Slider, Video Slider Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/ml-slider/
  metadata:
    plugin_namespace: ml-slider
    wpscan: https://wpscan.com/plugin/ml-slider
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/ml-slider/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/ml-slider.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100d6959295c3e9606f21d0827bdb21a5fe49e017ace03c81d3bc571fed003c3650022057a5101bbafde41c7681860a571e86a767ad3c941067f40d93771b08f50307f5:922c64590222798bb761d5b6d8e72950